qemu-ppc
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Qemu-ppc] [PATCH v6 3/8] scripts: Submit changes while updating linux h


From: Gavin Shan
Subject: [Qemu-ppc] [PATCH v6 3/8] scripts: Submit changes while updating linux headers
Date: Mon, 24 Aug 2015 22:03:24 +1000

This submits changes with formatted commit log while updating Linux
headers using scripts/update-linux-headers.sh.

Signed-off-by: Gavin Shan <address@hidden>
---
 scripts/update-linux-headers.sh | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/scripts/update-linux-headers.sh b/scripts/update-linux-headers.sh
index 18daabe..451b739 100755
--- a/scripts/update-linux-headers.sh
+++ b/scripts/update-linux-headers.sh
@@ -63,6 +63,25 @@ cp_virtio() {
     fi
 }
 
+submit_change() {
+    from=$1
+    to=$2
+    if ! [ -e $to/include/qemu-common.h ]; then
+        exit 3
+    fi
+
+    cd $from
+    version=$(make -s kernelversion)
+    subject="Sync Linux headers from kernel $version"
+    message=$(git log --oneline -1)
+    cd -
+    cd $to
+    name=$(git config --get user.name)
+    email=$(git config --get user.email)
+    git commit -a -m "$subject" -m "$message" -m "Signed-off-by: $name 
<$email>"
+    cd -
+}
+
 # This will pick up non-directories too (eg "Kconfig") but we will
 # ignore them in the next loop.
 ARCHLIST=$(cd "$linux/arch" && echo *)
@@ -132,3 +151,5 @@ cat <<EOF >$output/include/standard-headers/linux/if_ether.h
 EOF
 
 rm -rf "$tmpdir"
+
+submit_change "$linux" "$output"
-- 
2.1.0




reply via email to

[Prev in Thread] Current Thread [Next in Thread]